/* Library for Arduino Uno board and compatible devices. (probably all the Arduino boards)
 *
 * This library contains several functions for using with a DDS generator
 * AD9850 module. All the functions are intended to work with this device
 * in SERIAL mode, so you need to connect the parallel pins D0 and D1 to VCC
 * and D2 GND, as written in the AD9850 datasheet. For further information
 * check the Analog Devices website.
 *
 * Coded by
 *   Gonzalo Recio - http://grsynth.com
 * Examples and 1.6.x compatibility
 *   Robert Ulbricht  
 */

#include "Arduino.h"
#include "ARDUINO_AD9850.h"

AD9850 device(AD9850_clk,AD9850_fqud,AD9850_data,AD9850_reset);

void setup()
{
Serial.begin(9600);
Serial.println("AD9850 serial demo");
	
device.init();
device.doReset();
device.osc(1000,0);
}

void loop()
{
// check if data has been sent from the computer:
if(Serial.available()) {
  long f=Serial.parseInt();
  Serial.print("f=");
  Serial.println(f);
  device.osc(f,0);
  }
}
